#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'berita.edit'} ${jenisSubtag.label}
#{/set}
<ol class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'berita.home'}</a></li>
	<li><a href="@{admin.BeritaCtr.index(jenisSubtag.lowerCase())}">${jenisSubtag.label}</a></li>
	<li class="active">&{'berita.sunting'} ${jenisSubtag.label}</li>
</ol>
<div class="content">
#{alert /}
#{form @admin.BeritaCtr.simpan(jenisSubtag.toString().toLowerCase()), name:'formBerita', enctype:"multipart/form-data", method:'POST'}
#{if berita?.brt_id}
     <input type=hidden name="berita.brt_id" value="${berita?.brt_id}" />
     
     <input type=hidden name="berita.brt_id_attachment" value="${berita?.brt_id_attachment}" />
#{/if}  
	<input type=hidden name=jenisSubtag value="${jenisSubtag}"/>
	<div class="form-group">
		<label class="col-lg-2 control-label">Title <span class="warning">*</span></label>
		<div class="col-lg-10 #{errorClass 'berita.brt_judul'/}">
			<input name="berita.brt_judul" type="text" size="60" maxlength="100" value="${berita?.brt_judul}" class="form-control" />
			<span class="help-block">#{error 'berita.brt_judul' /}</span>
		</div>
	</div> 
	#{if jenisSubtag.label != "Pesan Sistem"}
	<div class="form-group #{errorClass 'brtAttachment'/}">
		<label class="col-lg-2 control-label">&{'berita.lampiran'}</label>
		<div class="col-lg-10"  >			     		
			 #{if berita?.brt_id_attachment}
                <br />                  
                <a name="brtAttachment" href="${berita?.blob?.getDownloadUrl(models.handler.BeritaDownloadHandler.class)}">${berita?.blob?.getFileName()}</a>
                <a href="javascript:void(0)" class="removeBtn"><input type="hidden" name="hapus" value=1><i class="fa fa-trash-o fa-lg"></i></a>
           #{/if}
			<div class="bs-callout bs-callout-warning">
				Dokumen yang dapat di upload hanya file/dokumen yang memiliki ekstensi <strong><i> ${allowedExt}</i></strong>.
			</div>
		</div>
	</div>
	#{/if}
	<br>
	
	<div class="form-group">
		<label class="col-lg-2 control-label ">&{'berita.tayang'}
		#{if jenisSubtag.mandatoryExpiredDate}
		<span class="warning">*</span>
		#{/if}
		</label>		 
		<div class="col-lg-2">
			<div class="input-group date datepicker">
				<input name="berita.brt_expires"  type="text" value="${berita?.brt_expires?.toDatepicker()}"
					   class="form-control datepicker #{validate 'berita.brt_expires'/}"/>
				<div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
				<div class="invalid-feedback">#{error 'berita.brt_expires' /}</div>
            </div>

		</div>
	</div>
	<div class="form-group row">
		<label class="col-lg-2 col-form-label">Isi ${jenisSubtag.label} <span class="warning">*</span></label>
		<div class="col-lg-10 #{validate 'berita.brt_isi'/}">
			<textarea name="berita.brt_isi" class="form-control trumbowyg" rows="12">${berita?.brt_isi}</textarea>
			<div class="invalid-feedback">#{error 'berita.brt_isi' /}</div>
		</div>
	</div> 

   <p><span class="warning">*</span> &{'berita.dataisi'}</p>
    #{saveButton /}
    #{backButton action:@admin.BeritaCtr.index(jenisSubtag.lowerCase()) /}      
#{/form}
</div>

#{set 'css_custom' }
<link href="https://unpkg.com/trumbowyg@2.21.0/dist/ui/trumbowyg.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/trumbowyg.min.js"></script>
<script type="text/javascript" src="https://unpkg.com/trumbowyg@2.21.0/dist/plugins/cleanpaste/trumbowyg.cleanpaste.min.js"></script>
<script type="text/javascript" src="#{assets '/js/trumbowyg.config.js'/}"></script>
<script type="text/javascript">
$(document).on('click', '.removeBtn', function(){
    $(this).parent().parent().remove()
 })
</script>
#{/set}


